petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmRegisterUserDatatypeField

Register a user defined data type to a DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmRegisterUserDatatypeField(DM dm,const char fieldname[],size_t size,PetscInt blocksize)

Collective on dm

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name to identify this field
| size | - the size in bytes of the user data type
| blocksize | - the number of each data type

### Notes

The textual name for each registered field must be unique.

### See Also

DMSwarmRegisterPetscDatatypeField(), DMSwarmRegisterUserStructField(), DMSwarmRegisterUserDatatypeField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages